Subject: Re: [Tsvwg] SCTP Dynamic Address Reconfiguration

From: Salvatore Loreto <[email-masked]>
Date: Wed, 27 Apr 2005 22:41:59 +0200 (CEST)

about the performance

par. 4.3.2
"the receiver of such a chunk MUST always firs use the
source address found in the IP headere in looking up
the association. ... only if the lookup fails using
the source address from the IP header..."

in this way the receiver spend an RTO trying to send
to an IP address not any more valid.
The sender can't send any data to this new address
before the reception of ASCONF-ACK, see D2) in page
23, (so I was supposing it doesn't carrying SACK
information in the same SCTP packet of ASCONF chunk,
but you say it is possilbe, so I was wrong) so the
time the association can restant exchanges data is
RTO+RTT/2?

par. 4.4
"A sender should only send a set primary request to an
address that is already considered part of the
association"... 
is it enough insert the set primary just after the
ASCONF chunk ?

In some way must be possible indicate the sender can
have just one IP address in an association...
Maybe it can be done in INIT chunk...

what do you think about?

/sal

--- Michael Tuexen <[email-masked]>
wrote:
> Hi Salvatore,
> see my comments in-line.
> Best regards
> Michael
> 
> On Apr 27, 2005, at 13:54 Uhr, Salvatore Loreto
> wrote:
> 
> > Hi all,
> >
> > I know the rationale of Dynamic Address
> > Reconfiguration is not the mobility, but it seems
> to
> > become a valid solution for mobility.
> >
> > in your opinion is it possible carrying a SACK
> > information in the same SCTP packet carrying an
> ASCONF
> > chunk ?
> Why not? You can bundle them.
> > This could be useful in "congestion control" of a
> > mobile with single nic.
> >
> > I think the scenario with a Mobile with a single
> nic
> > (no multihomed) will not an unusual Mobile
> > configuration so this case must be study in deep.
> >
> > So from a performance point of view I don't agree
> with
> > par. 4.3.2 and 4.4 of
> > draft-ietf-tsvwg-addip-sctp-11.txt
> I do not see what these paragraphs have to do with
> performance.
> Could you be a bit more precise?
> >
> >
> > br
> > /Sal
> >
> >
> > 		
> > ___________________________________
> > Nuovo Yahoo! Messenger: E' molto più divertente:
> Audibles, Avatar, 
> > Webcam, Giochi, Rubrica… Scaricalo ora!
> > http://it.messenger.yahoo.it
> >
> > _______________________________________________
> > tsvwg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/tsvwg
> >
> 
> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/tsvwg
> 

___________________________________ 
Nuovo Yahoo! Messenger: E' molto più divertente: Audibles, Avatar, Webcam, Giochi, Rubrica… Scaricalo ora! 
http://it.messenger.yahoo.it

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg